Skip to main content

Introduction

MyPostcard , a leading global postcard app, empowers you to execute direct mail campaigns with ease, providing a seamless and profitable way to connect with your customers. Use the MyPostcard and MoEngage integration to effortlessly send your customers print mailings.

Use cases

To elevate your direct mail campaigns, it’s crucial to move beyond traditional mass mailings and integrate print mailing seamlessly into your workflows. This approach allows you to reach specific customers who have opted out of your email newsletters or whose emails are marked as spam. With MyPostcard, you can effortlessly send print mailing campaigns directly through MoEngage.
  • Build intuitive workflows incorporating print mail as a powerful new channel, without any technical expertise.
  • Unlock the potential of personalized print mailings with a few simple steps.
  • Benefit from a straightforward implementation that is backed by personalized support from a dedicated team.

Integration

Ensure you have access to
  • MyPostcard B2B account.
  • B2B API key and credentials- find your API Key and the credentials in the MyPostcard B2B Admin Tool
  • Setup print mailing campaign in MyPostcard B2B tool.
To integrate with Paperplanes, use the Paperplane APIs to send recipient data to the MoEngage connectors.

Step 1: Create connector campaign on MoEngage

To create a connector campaign on MoEngage,
  1. Navigate to Create Campaign >> Connectors >> Custom
Screenshot_2022-02-21_at_10.48.46_PM.png
  1. On step 2 of the campaign, select -

a) URL details

KeyValue
MethodPOST
Webhook URLThe webhook URL as shown in the B2B Admin Tool.
URL params

b) Headers

Add the following two headers
KeyValue
Username<Username>
Password<Password>
ContentTypeapplication/json

c) Request Body

Copy the request body displayed in the B2B Admin Tool, then fill in the placeholders with content using any MoEngage jinja personalization tags.
{
"api_key": "<api_key>",
"campaign_id": "<campaign_id>",
"product_code": "J9GCU",
"job_data": {
"job_details": 1,
"fontName": "Roboto",
"text": "Hallo John,",
"couponcode": "abc123",
"textColor": "black",
"fontSize": "L",
"recipients": "l",
"recipientName": "John",
"addressLinel": "Hohenzollerndamm 3",
"addressLine2": "*",
"city": "Berlin",
"zip": "10717",
"country": "Germany",
"countryiso": "DE"
},
"recipients": [
{
"recipientName": "{{UserAttribute['First Name']}}",
"addressLine1": "{{UserAttribute['AddressLine1']}}",
"addressLine2": "{{UserAttribute['AddressLine2']}}",
"city": "{{UserAttribute['City']}}",
"zip": "{{UserAttribute['PinCode']}}",
"country": "{{UserAttribute['Country']}}"
}
]
}
You can use personalisation using @ to select specific user/event attributes.

Step 3: Test your configuration

At this point, your campaign should be ready to test and send. You can also test your connector configuration using the Test functionality available on Step 2 of Create Connector Campaign Screen_Shot_2022-02-22_at_11.12.42_AM.png